> ## Documentation Index
> Fetch the complete documentation index at: https://developer.wooxpro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Modify Limit Order (SIGNED)

`Applicable for modifying contract limit orders`

#### Request URL

`POST https://cloud-api.wooxpro.com/contract/private/modify-limit-order`

#### Request Limit

See [Detailed Rate Limit](/english/rate-limit)

#### Request Parameter

> Request

```shell theme={null}
curl 
 -H 'X-API-KEY:{{AccessKey}}'
 -H 'X-API-TIMESTAMP:{{currentTime}}'
 -H 'X-API-SIGN:{{SIGN}}' 
 -X POST -d '{
  "symbol":"ETHUSDT",
  "order_id":220906179559421,
  "client_order_id":"123456",
  "price":"1450",
  "size":1
}'
https://cloud-api.wooxpro.com/contract/private/modify-limit-order
```

| 参数                | 类型     | 是否必填 | 描述                                                                                                                        |
| :---------------- | :----- | :--- | :------------------------------------------------------------------------------------------------------------------------ |
| symbol            | String | Yes  | Symbol of the contract(like BTCUSDT)                                                                                      |
| order\_id         | Int    | No   | Order ID(order\_id or client\_order\_id must give one)                                                                    |
| client\_order\_id | String | No   | Client-defined OrderId(A combination of case-sensitive alphanumerics, all numbers, or all letters of up to 32 characters) |
| price             | String | No   | Order Price（price or size must give one）                                                                                  |
| size              | Int    | No   | Order Size（size or price  must give one）                                                                                  |

#### Response Data

> Response

```json theme={null}
{
  "code": 1000,
  "message": "Ok",
  "data": {
    "order_id": 220609666322019,
    "client_order_id": "123456"
  },
  "trace": "13f7fda9-9543-4e11-a0ba-cbe117989988"
}
```

| Field             | Type   | Description     |
| :---------------- | :----- | :-------------- |
| order\_id         | Int    | Order ID        |
| client\_order\_id | String | Client Order ID |
